Bug 174686 - Memory leak in FiltersDescriptor
Memory leak in FiltersDescriptor
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Daniel Prusa
issues@debugger
http://deadlock.netbeans.org/hudson/j...
: RANDOM, TEST, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 17:37 UTC by Jesse Glick
Modified: 2010-02-06 21:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-10-15 17:37:32 UTC
junit.framework.AssertionFailedError: Are all documents GCed? TextDocument:
private static org.netbeans.modules.debugger.jpda.ui.debugging.FiltersDescriptor
org.netbeans.modules.debugger.jpda.ui.debugging.FiltersDescriptor.instance->
org.netbeans.modules.debugger.jpda.ui.debugging.FiltersDescriptor@16f9530-filters->
java.util.ArrayList@e6bc76-elementData->
[Ljava.lang.Object;@1362b58-[0]->
org.netbeans.modules.debugger.jpda.ui.debugging.FiltersDescriptor$Item@151a9a6-toggleButton->
javax.swing.JToggleButton@1c10d51-parent->
org.netbeans.modules.debugger.jpda.ui.debugging.InfoPanel$NoBorderToolBar@b666bb-parent->
javax.swing.JPanel@d46725-parent->
javax.swing.JViewport@54e123-parent->
javax.swing.JScrollPane@1940451-parent->
org.netbeans.modules.debugger.jpda.ui.debugging.InfoPanel@1f0750a-threadToMenuItem->
java.util.HashMap@1eb8ef3-table->
[Ljava.util.HashMap$Entry;@e7a5e6-[10]->
java.util.HashMap$Entry@faaf08-key->
org.netbeans.modules.debugger.jpda.models.JPDAThreadImpl@df339e-debugger->
org.netbeans.modules.debugger.jpda.JPDADebuggerImpl@161ffdf-pcs->
java.beans.PropertyChangeSupport@14d5c34-children->
java.util.Hashtable@552b5d-table->
[Ljava.util.Hashtable$Entry;@8d0e6e-[3]->
java.util.Hashtable$Entry@17fff5f-value->
java.beans.PropertyChangeSupport@402780-listeners->
sun.awt.EventListenerAggregate@762477-listenerList->
[Ljava.beans.PropertyChangeListener;@a77bd3-[10]->
org.netbeans.modules.debugger.jpda.ui.CodeEvaluator@12c5d0a-codePane->
javax.swing.JEditorPane@124987d-model->
org.netbeans.modules.editor.NbEditorDocument@a13cb6-documentProperties->
org.netbeans.modules.editor.NbEditorDocument$2@19cf727-table->
[Ljava.util.Hashtable$Entry;@1b93652-[4]->
java.util.Hashtable$Entry@1609e3e-value->
org.netbeans.api.lexer.InputAttributes@3e6a58-lp2attrs->
java.util.HashMap@1b5ece5-table->
[Ljava.util.HashMap$Entry;@2e24d4-[3]->
java.util.HashMap$Entry@11484fd-value->
org.netbeans.api.lexer.InputAttributes$LPAttrs@1c20649-globals->
java.util.HashMap@1525709-table->
[Ljava.util.HashMap$Entry;@2da69e-[3]->
java.util.HashMap$Entry@10328d5-value->
org.netbeans.modules.editor.NbEditorDocument@6ff69
	at org.netbeans.junit.NbTestCase.assertGC(NbTestCase.java:1312)
	at org.netbeans.junit.NbTestCase.assertGC(NbTestCase.java:1251)
	at org.netbeans.junit.Log$InstancesHandler.assertGC(Log.java:419)
	at org.netbeans.junit.Log.assertInstances(Log.java:237)
	at org.netbeans.test.ide.WatchProjects.assertTextDocuments(WatchProjects.java:165)
	at org.netbeans.test.ide.IDEValidation.testGCDocuments(IDEValidation.java:1407)
Comment 1 Martin Entlicher 2009-10-16 10:35:01 UTC
Dane, can you please look at this?
Comment 2 Daniel Prusa 2010-02-06 11:06:20 UTC
Fixed.
http://hg.netbeans.org/main/rev/cca872d028b7
Comment 3 Quality Engineering 2010-02-06 21:42:54 UTC
Integrated into 'main-golden', will be available in build *201002070200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cca872d028b7
User: Daniel Prusa <dprusa@netbeans.org>
Log: #174686: Memory leak in FiltersDescriptor


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo